﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WikiBugtracker.WikiCommon
{
    class Task
    {
        #region Accessors
        public String ID { get; set; }
        public String Summary { get; set; }
        public String Description { get; set; }
        public String Project { get; set; }
        public String Correction { get; set; }
        public String Severity { get; set; }
        public String Priority { get; set; }
        public String Status { get; set; }
        public String Reproducibility { get; set; }
        public String UserReporter { get; set; }
        public String UserAssignee { get; set; }
        public DateTime DateCreation { get; set; }
        public DateTime DateDue { get; set; }
        public DateTime DateLastModification { get; set; }
        public TimeSpan EvaluationTimeToCorrect { get; set; }
        public String VersionFound { get; set; }
        public String VersionFixed { get; set; }
        public String MilestoneTarget { get; set; }
        public List<Attachment> Attachments { get; set; }
        public List<History> History { get; set; }
        public List<Note> Notes { get; set; }
        public List<Step> StepsToReproduce { get; set; }
        public List<Relation> IssuesRelated { get; set; }
        #endregion Accessors
    }
}
