﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Common
{
    public class StringCaseInsensitive : IEqualityComparer<String>
    {
        public bool Equals(String s1, String s2)
        {
            return (s1.ToUpperInvariant() == s2.ToUpperInvariant());
        }

        public int GetHashCode(String obj)
        {
            return obj.ToUpperInvariant().GetHashCode();
        }
    }
}
