﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Common;

namespace WikiBugtracker.WikiCommon
{
    class Project : ISecureSerializable
    {
        public Project() : this(0, string.Empty, string.Empty) { }

        public Project(Int64 id, String name, String descrption)
        {
            ID = id;
            Name = name;
            Description = descrption;
            Milestones = new List<string>();
            Versions = new List<string>();
            Projects = new List<string>();
            Statuses = new List<string>();
        }

        public DateTime TimeStamp { get; set; }
        public Int64 ID { get; set; }
        public String Name { get; set; }
        public String Description { get; set; }
        public List<String> Milestones { get; set; }
        public List<String> Versions { get; set; }
        public List<String> Projects { get; set; }
        public List<String> Statuses { get; set; }

        public Int64 AddProject(String project_name)
        {
            Projects.Add(project_name);

            return Projects.Count;
        }
    }
}
